Package com.sap.ai.sdk.orchestration

# Class OrchestrationFilterException.Output

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sap.ai.sdk.core.common.ClientException
com.sap.ai.sdk.orchestration.OrchestrationClientException
com.sap.ai.sdk.orchestration.OrchestrationFilterException
com.sap.ai.sdk.orchestration.OrchestrationFilterException.Output

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `OrchestrationFilterException`

public static class OrchestrationFilterException.Output extends OrchestrationFilterException
Exception thrown when an error occurs during output filtering, specifically when the finish reason is a content filter.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sap.ai.sdk.orchestration.OrchestrationFilterException

  `OrchestrationFilterException.Input, OrchestrationFilterException.Output`

- ## Field Summary

  ### Fields inherited from class com.sap.ai.sdk.orchestration.OrchestrationFilterException

  `filterDetails`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Output()`
  `Output(String message)`
  `Output(String message, Throwable cause)`
  `Output(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AzureContentSafetyOutput`
  `getAzureContentSafetyOutput()`
  Retrieves Azure Content Safety output details from `filterDetails`, if present.

  ### Methods inherited from class com.sap.ai.sdk.orchestration.OrchestrationFilterException

  `getFilterDetails, getLlamaGuard38b`

  ### Methods inherited from class com.sap.ai.sdk.orchestration.OrchestrationClientException

  `getClientError, getErrorResponse, getErrorResponseStreaming, getStatusCode`

  ### Methods inherited from class com.sap.ai.sdk.core.common.ClientException

  `getHttpRequest, getHttpResponse, setClientError, setHttpRequest, setHttpResponse`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Output

    public Output()

  - ### Output

    public Output(String message)

  - ### Output

    public Output(Throwable cause)

  - ### Output

    public Output(String message, Throwable cause)

- ## Method Details

  - ### getAzureContentSafetyOutput

    @Nullable public AzureContentSafetyOutput getAzureContentSafetyOutput()
    Retrieves Azure Content Safety output details from `filterDetails`, if present.
    Returns:
      The AzureContentSafetyOutput object, or `null` if not found or conversion fails.
    Throws:
      `IllegalArgumentException` - if the conversion of filter details to `AzureContentSafetyOutput` fails due to invalid content.